UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceEventTimestampInfo Class Reference

UME Source Event Ack Info class. More...

## Public Member Functions
| LBMSourceEventTimestampInfo (UInt64 tvSec, UInt64 tvNsec, uint sequenceNumber)
| Construct a LBMSourceEventTimestampInfo object and initialize its fields to the given values. More...
uint | sequenceNumber ()
| Get the sequence number of the message the event was received for. More...
UInt64 | tvSec ()
| Get the seconds portion of the high-resolution timestamp of the sent message. More...
UInt64 | tvNsec ()
| Get the nanoseconds portion of the high-resolution timestamp of the sent message. More...

## Detailed Description

UME Source Event Ack Info class.

Contains extended information for message stability and confirmed delivery source events.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceEventTimestampInfo.LBMSourceEventTimestampInfo | ( | UInt64 | tvSec,
|  | UInt64 | tvNsec,
|  | uint | sequenceNumber
| ) |  |

Construct a LBMSourceEventTimestampInfo object and initialize its fields to the given values.

Parameters

  tvSec | High-resolution timestamp, seconds.
  tvNsec | High-resolution timestamp, nanoseconds.
  sequenceNumber | Sequence number (must be >= 0).

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Sequence number was < 0.

## Member Function Documentation

uint com.latencybusters.lbm.LBMSourceEventTimestampInfo.sequenceNumber | ( |  | ) |

Get the sequence number of the message the event was received for.

Returns
  Sequence number.

UInt64 com.latencybusters.lbm.LBMSourceEventTimestampInfo.tvNsec | ( |  | ) |

Get the nanoseconds portion of the high-resolution timestamp of the sent message.

Returns
  High-resolution timestamp nanoseconds.

UInt64 com.latencybusters.lbm.LBMSourceEventTimestampInfo.tvSec | ( |  | ) |

Get the seconds portion of the high-resolution timestamp of the sent message.

Returns
  High-resolution timestamp seconds.

The documentation for this class was generated from the following file:

- LBMSourceEventTimestampInfo.cs